<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="com.gallery.free.wallpaper.fragment.ColleFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:layout_marginBottom="10dp"
        android:elevation="4dp"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="Collection"
            android:letterSpacing="0.04"
            android:textColor="@color/black"
            android:fontFamily="@font/alimama_shuheiti"
            android:textSize="24sp" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/text_favorite_count_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal"
        android:padding="8dp"
        android:visibility="gone">

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1"
            android:background="@color/text_color"
            android:layout_marginStart="30dp"
            android:layout_marginEnd="16dp" />

        <TextView
            android:id="@+id/text_favorite_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0 photos collected"
            android:textColor="@color/text_color"
            android:textSize="16sp" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1"
            android:background="@color/text_color"
            android:layout_marginEnd="30dp"
            android:layout_marginStart="16dp" />

    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/wallpaperRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="false"
            android:paddingHorizontal="1dp"
            android:scrollbars="vertical" />

        <!-- 空状态 -->
        <include
            android:id="@+id/empty_likes_layout"
            layout="@layout/empty_colle"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone" />

    </FrameLayout>

</LinearLayout>